unit UnitFrmMove;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, UnitClipQueue;

type
  TFrmMove = class(TForm)
    btnOK: TButton;
    btnCancel: TButton;
    cbMove: TComboBox;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }

  public
    { Public declarations }
    procedure MoveClip(tc : TClipItem);
  end;

var
  FrmMove: TFrmMove;

implementation

uses UnitFrmPermanentNew;

{$R *.dfm}

procedure TFrmMove.FormShow(Sender: TObject);
begin
    // get a list of permanet item groups - except the current group
    // and default the position to first in the list
    
    //self.cbMove.Clear;
    //self.cbMove.Items.AddStrings( FrmPermanent.cbPIGs.items );
    //self.cbMove.Items.Delete( self.cbMove.Items.IndexOf(FrmPermanent.GetPermanentPath) );
    //self.cbMove.ItemIndex := 0;
end;

procedure TFrmMove.btnOKClick(Sender: TObject);
begin
    self.ModalResult := mrOK;
end;

procedure TFrmMove.btnCancelClick(Sender: TObject);
begin
    self.ModalResult := mrCancel;
end;

procedure TFrmMove.MoveClip(tc : TClipItem);
begin

end;

procedure TFrmMove.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     if (KEY = VK_ESCAPE) then begin
        self.btnCancel.Click;
     end;
end;

end.
